Bug 127125 - Fujitsu Lifebook S-4542 doesn't resume properly after suspend
Fujitsu Lifebook S-4542 doesn't resume properly after suspend
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2004-07-02 07:01 EDT by Alex Lancaster
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-08 07:00:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from running lspci (750 bytes, text/plain)
2004-07-02 07:02 EDT, Alex Lancaster
no flags Details
output from running lscpi -n (375 bytes, text/plain)
2004-07-02 07:03 EDT, Alex Lancaster
no flags Details
output of lsmod, after a hard restart (following hang) (1.68 KB, text/plain)
2004-07-02 07:04 EDT, Alex Lancaster
no flags Details
extract from /var/log/messages just before suspend, and just after hard reboot (19.09 KB, text/plain)
2004-07-02 07:07 EDT, Alex Lancaster
no flags Details
extract from /var/log/messages just before and after a successful suspend (656 bytes, text/plain)
2004-07-02 07:08 EDT, Alex Lancaster
no flags Details

  None (edit)
Description Alex Lancaster 2004-07-02 07:01:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.14

Description of problem:
My Fujitsu Lifebook S-4542 laptop doesn't always resume properly after
suspend. I am using APM not ACPI (older laptop).  This happens when
using X, I press the suspend button, it stops and shuts down.  Upon
opening the lid, it attempts to start up, but hangs with the X display
"smeared out" over the screen.

This problem is intermittent, but happens about 60-70% of the time

Version-Release number of selected component (if applicable):
kernel-2.6.6-1.435

How reproducible:
Sometimes

Steps to Reproduce:
1.  Start up.
2.  Login and start a GNOME session.
3.  Start an application: gnome-terminal.
4.  Press the power button on keyboard ("suspend" button).
5.  Wait for power to switch off, wait about 30 seconds after that.
6.  Close lid.
7.  Open lid.
8.  Laptop attempts to resume, power starts, but hangs with old X
display "smeared-out" over the screen.
    

Actual Results:  Power starts, Netgear PCMCIA wireless card comes back
up with signal showing, but hangs with old X display "smeared-out"
over the screen.
    

Expected Results:  Full GNOME session should be restored.

Additional info:

Will attach lscpi, lscpi -n, lsmod and /var/log/messages output
relevant to this bug.
Comment 1 Alex Lancaster 2004-07-02 07:02:32 EDT
Created attachment 101589 [details]
output from running lspci
Comment 2 Alex Lancaster 2004-07-02 07:03:28 EDT
Created attachment 101590 [details]
output from running lscpi -n
Comment 3 Alex Lancaster 2004-07-02 07:04:46 EDT
Created attachment 101591 [details]
output of lsmod, after a hard restart (following hang)
Comment 4 Alex Lancaster 2004-07-02 07:07:13 EDT
Created attachment 101592 [details]
extract from /var/log/messages just before suspend, and just after hard reboot

This is the output of /var/log/messages just before the suspend, and following
the reboot (i.e. after attempting to suspend, and then needing to do a hard
restart).
Comment 5 Alex Lancaster 2004-07-02 07:08:31 EDT
Created attachment 101593 [details]
extract from /var/log/messages just before and after a successful suspend

This is an extract from /var/log/messages just before and just following a
successful suspend/de-suspend cycle.
Comment 6 Dave Jones 2005-04-16 01:06:08 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 7 Alex Lancaster 2005-04-16 05:37:32 EDT
Problem still persists in Fedora Core 3 and is in fact worse because the hang
will happen even if X is never started (i.e. if the laptop is booted into
run-level 3).

Currently using kernel-2.6.10-1.766_FC3.  Will upgrade to latest kernel update
and re-post /var/log/messages and other diagnostic information.
Comment 8 Alex Lancaster 2005-06-21 01:14:52 EDT
Problem continues to persist in FC4 with kernel-2.6.11-1.369_FC4.  Upgraded my
BIOS to 1.10 which supports ACPI and attempted suspend via ACPI (after disabling
APM), but still get hang on resume.

At least now I get a kernel backtrace.  I will post the backtrace soon.

Scripts:

/etc/acpi/events/sleep.conf, contents are:
------
event=button/power.*
action=/usr/local/bin/sleep.sh
------
/usr/local/bin/sleep.sh, contents are:
------
#!/bin/sh
echo 3 >/proc/acpi/sleep
Comment 9 Dave Jones 2005-07-15 17:47:22 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 10 Dave Jones 2005-09-30 03:19:43 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 11 Alex Lancaster 2005-11-08 07:00:20 EST
I didn't try this with the latest kernel, but I've given up on the mainline
kernel support for software suspend.

I just installed swsusp2 on the 4542 from Fedora-built RPMs at:

http://mhensler.de/swsusp/

and it is working well.  Since I am now using a newer laptop more regularly than
this old laptop, and will don't plan on much testing on this laptop from hereon
in, I am closing this bug as WONTFIX.

However I am documenting this workaround here in the hope that it may help
somebody else with this particular model get software suspend working, even
though it isn't with the official mainline kernel swsusp2.

Btw, it would be really good if swsusp2 could be included in default Fedora Core
kernels.  Laptop owners the world over would thank you since the mainline kernel
swsusp doesn't seem to work for many models of laptops and swsusp2 seems to work
on most models.
Comment 12 Alex Lancaster 2005-11-08 07:09:38 EST
(In reply to comment #11)
> I didn't try this with the latest kernel, but I've given up on the mainline
> kernel support for software suspend.
> 
> I just installed swsusp2 on the 4542 from Fedora-built RPMs at:
> 
> http://mhensler.de/swsusp/
> 
> and it is working well.  Since I am now using a newer laptop more regularly than
> this old laptop, and will don't plan on much testing on this laptop from hereon
> in, I am closing this bug as WONTFIX.
> 
> However I am documenting this workaround here in the hope that it may help
> somebody else with this particular model get software suspend working, even
> though it isn't with the official mainline kernel swsusp2.
                                                    ^^^^^^^
                                                    swsusp

I should clarify: 

1) I was originally trying to get suspend-to-RAM working through APM which
didn't working;

2) then I switched to ACPI and suspend-to-RAM (S3) didn't work there

3) now I am using swsusp2 to suspend-to-disk (aka "hibernate").

Note You need to log in before you can comment on or make changes to this bug.